Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels
Class CChannelManager.ChannelDefinition.Parameter

    java.lang.Object
      org.jasig.portal.channels.CChannelManager.ChannelDefinition.Parameter

Enclosing class:
  CChannelManager.ChannelDefinition

    protected class CChannelManager.ChannelDefinition.Parameter

extends java.lang.Object

Field Summary
`protected java.lang.String` | `name`
`protected java.lang.String` | `override`
`protected java.lang.String` | `value`

Constructor Summary
`protected` | `CChannelManager.ChannelDefinition.Parameter(java.lang.String name, java.lang.String value, java.lang.String override)`

Method Summary
`protected java.lang.String` | `getName()`
`protected java.lang.String` | `getOverride()`
`protected java.lang.String` | `getValue()`
`protected void` | `setName(java.lang.String name)`
`protected void` | `setOverride(java.lang.String override)`
`protected void` | `setValue(java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### value

    protected java.lang.String value

### override

    protected java.lang.String override

Constructor Detail

### CChannelManager.ChannelDefinition.Parameter

    protected CChannelManager.ChannelDefinition.Parameter(java.lang.String name,
                                                          java.lang.String value,
                                                          java.lang.String override)

Method Detail

### getName

    protected java.lang.String getName()

### getValue

    protected java.lang.String getValue()

### getOverride

    protected java.lang.String getOverride()

### setName

    protected void setName(java.lang.String name)

### setValue

    protected void setValue(java.lang.String value)

### setOverride

    protected void setOverride(java.lang.String override)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD